Sales by day
GET/api/v1/reports/sales
Orders, tickets, sales and refunds per day, for one event or every event in the period.
Permission
reports:read (Read sales reports)Publishable keyNo: secret keys only
Query parameters
event_idinteger- Only this event.
currencystring- Without event_id: only events in this currency. Default the company's currency.
fromdate- First day (YYYY-MM-DD). Default 30 days ago.
todate- Last day. Default today.
curl "https://eos.aveoevents.com/api/v1/reports/sales?event_id=41&from=2026-11-01&to=2026-11-30" \
-H "Authorization: Bearer $EOS_API_KEY"{
"object": "sales_report",
"event_id": 41,
"from": "2026-11-01",
"to": "2026-11-30",
"currencies": [
"GBP"
],
"totals": {
"orders": 120,
"tickets": 214,
"sales": 5350,
"refunds": 50
},
"days": [
{
"date": "2026-11-20",
"orders": 9,
"tickets": 16,
"sales": 400,
"refunds": 0
}
]
}